#{extends 'border.html'/}
<div class="container-fluid">

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                <a href="@{create()}" class="btn btn-primary btn-md"><i class="fa fa-plus"></i> &{'tambah.label'} &{'polling.label'}</a>
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
        	#{alert /}
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x:auto;">
                    <!-- DataTable -->
                    <table class="table table-striped" id="tblPolling">
                        <thead>
                            <tr>
                                <th>&{'nomor.label'}</th>
                                <th>&{'subjek.label'}</th>
                                <th>&{'deskripsi.label'}</th>
                                <th>&{'status.label'}</th>
                                <th>&{'aktif.label'}</th>
                                <th>&{'tanggal_publikasi.label'}</th>
                                <th>&{'terkunci.label'}</th>
                                <th>&{'polling_utama.label'}</th>
                                <th></th>
                            </tr>
                        </thead>
                    </table>
                    <!-- End DataTable -->
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="viewModal" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div id="divChart">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function(){
        $("#tblPolling").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariPolling()}",
                cache : true
            },
            order : [0, "desc"],
            columns :[
                {
                    "searchable" : false, "className": "header-center",
                    render : function (data, type, row, meta) {
                        return meta.row + meta.settings._iDisplayStart + 1 + ".";
                    }
                },
                {"searchable" : false, orderable : false},
                {"searchable" : true,  orderable : false},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"},
                {"searchable" : false, orderable : false, "className": "header-center"}
            ]
        });
    });

    function viewPolling(polId){
        $.ajax({
            url: '@{cms.PollingCtr.viewPolling()}',
            data: {"polId": polId},
            type: 'POST',
            success: function(res){
                $("#viewModal").modal();
                $("#divChart").empty().append("<canvas id='barChart'></canvas>");
                var myNode = document.getElementById("barChart").getContext('2d');
                var myBarChart = new Chart(myNode, {
                    type: 'bar',
                    data: {
                        labels: res.label,
                        datasets: [{
                            label: ['Hasil Polling'],
                            data: res.value,
                            backgroundColor: [
                                'rgba(255, 99, 132, 0.2)',
                                'rgba(54, 162, 235, 0.2)',
                                'rgba(255, 206, 86, 0.2)',
                                'rgba(75, 192, 192, 0.2)',
                                'rgba(153, 102, 255, 0.2)',
                                'rgba(255, 159, 64, 0.2)'
                            ],
                            borderColor: [
                                'rgba(255,99,132,1)',
                                'rgba(54, 162, 235, 1)',
                                'rgba(255, 206, 86, 1)',
                                'rgba(75, 192, 192, 1)',
                                'rgba(153, 102, 255, 1)',
                                'rgba(255, 159, 64, 1)'
                            ],
                            borderWidth: 1
                        }]
                    },
                    options: {
                        scales: {
                            yAxes: [{
                                ticks: {
                                    beginAtZero:true
                                }
                            }]
                        }
                    }
                });
            }
        });
    }
</script>
#{/set}